<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:13 CEST 2014 -->
<title>Utils</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Utils";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Utils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/StaticCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/utils/Utils.html" target="_top">Frames</a></li>
<li><a href="Utils.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.utils</div>
<h2 title="Class Utils" class="title">Class Utils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.utils.Utils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Utils</span>
extends java.lang.Object</pre>
<div class="block">Class encompassing numerous static utility methods</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.BrowseTarFileHandler</a></strong></code>
<div class="block">Abstract class used for browsing a tar file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.MapReduceFolderDelegate.html" title="interface in fr.inria.alpage.frmgcm.utils">Utils.MapReduceFolderDelegate</a></strong></code>
<div class="block">The interface used in <code>mapReduceFolder</code> to process files</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ReadModifyWriteProcessorInterface.html" title="interface in fr.inria.alpage.frmgcm.utils">Utils.ReadModifyWriteProcessorInterface</a></strong></code>
<div class="block">Interface used for the method <code>readModifyWrite</code></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.URI.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.URI</a></strong></code>
<div class="block">Handle indifferently local filepath and url for data retrieval</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></strong></code>
<div class="block">Convenient simple structure used as generic validation object message</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#Utils()">Utils</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#browseTar(java.io.InputStream,%20java.lang.String,%20fr.inria.alpage.frmgcm.utils.Utils.BrowseTarFileHandler)">browseTar</a></strong>(java.io.InputStream&nbsp;is,
         java.lang.String&nbsp;curFileName,
         <a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.BrowseTarFileHandler</a>&nbsp;callback)</code>
<div class="block">Browse a tar file an apply a callback to each of its elements</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#copy(java.lang.String,%20java.lang.String)">copy</a></strong>(java.lang.String&nbsp;source,
    java.lang.String&nbsp;dest)</code>
<div class="block">Copy a file</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#copyFile(java.io.File,%20java.io.File)">copyFile</a></strong>(java.io.File&nbsp;source,
        java.io.File&nbsp;dest)</code>
<div class="block">Copy a file</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#exec(java.lang.String)">exec</a></strong>(java.lang.String&nbsp;cmd)</code>
<div class="block">Execute a bash command</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#fetchFromFile(fr.inria.alpage.frmgcm.utils.Utils.URI)">fetchFromFile</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.URI.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.URI</a>&nbsp;uri)</code>
<div class="block">Retrieve the string content of file</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#fetchFromURL(fr.inria.alpage.frmgcm.utils.Utils.URI)">fetchFromURL</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.URI.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.URI</a>&nbsp;uri)</code>
<div class="block">Retrieve the string content of a file located at some url</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#getShortName(java.io.File)">getShortName</a></strong>(java.io.File&nbsp;file)</code>
<div class="block">Get the name of a file without its extension</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#getShortName(java.lang.String)">getShortName</a></strong>(java.lang.String&nbsp;filepath)</code>
<div class="block">Get the name of a file without its extension</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#Log(java.lang.String)">Log</a></strong>(java.lang.String&nbsp;message)</code>
<div class="block">Log a message to the log of the application</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#Log(java.lang.String,%20int)">Log</a></strong>(java.lang.String&nbsp;message,
   int&nbsp;loglevel)</code>
<div class="block">Log a string data message to the defaul application log</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#Log(java.lang.String,%20java.lang.String)">Log</a></strong>(java.lang.String&nbsp;message,
   java.lang.String&nbsp;logfile)</code>
<div class="block">Log string data into a file</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#mapReduceFolder(java.io.File,%20fr.inria.alpage.frmgcm.utils.Utils.MapReduceFolderDelegate,%20java.util.ArrayList)">mapReduceFolder</a></strong>(java.io.File&nbsp;file,
               <a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.MapReduceFolderDelegate.html" title="interface in fr.inria.alpage.frmgcm.utils">Utils.MapReduceFolderDelegate</a>&nbsp;callback,
               java.util.ArrayList&lt;java.lang.String&gt;&nbsp;args)</code>
<div class="block">Apply a function over files within a folder</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#readModifyWrite(java.lang.String,%20java.lang.String,%20fr.inria.alpage.frmgcm.utils.Utils.ReadModifyWriteProcessorInterface,%20java.util.ArrayList)">readModifyWrite</a></strong>(java.lang.String&nbsp;baseFile,
               java.lang.String&nbsp;outFile,
               <a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ReadModifyWriteProcessorInterface.html" title="interface in fr.inria.alpage.frmgcm.utils">Utils.ReadModifyWriteProcessorInterface</a>&nbsp;processor,
               java.util.ArrayList&lt;java.lang.Object&gt;&nbsp;params)</code>
<div class="block">Read and optionnaly modify a file line by line</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#searchTar(java.io.InputStream,%20java.lang.String,%20java.lang.String,%20fr.inria.alpage.frmgcm.utils.Utils.BrowseTarFileHandler)">searchTar</a></strong>(java.io.InputStream&nbsp;is,
         java.lang.String&nbsp;curFileName,
         java.lang.String&nbsp;targetFilename,
         <a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.BrowseTarFileHandler</a>&nbsp;matchCallback)</code>
<div class="block">Search within a tar / tar.gz file and apply a callback when the file is found.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#ssh_exec(java.lang.String)">ssh_exec</a></strong>(java.lang.String&nbsp;cmd)</code>
<div class="block">Execute a bash command in the rioc server using ssh.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.html#uncompressFile(java.io.File)">uncompressFile</a></strong>(java.io.File&nbsp;file)</code>
<div class="block">Uncompress a file (bz2)</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Utils()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Utils</h4>
<pre>public&nbsp;Utils()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="ssh_exec(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ssh_exec</h4>
<pre>public static&nbsp;java.lang.String[]&nbsp;ssh_exec(java.lang.String&nbsp;cmd)</pre>
<div class="block">Execute a bash command in the rioc server using ssh.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>cmd</code> - the bash command to execute</dd>
<dt><span class="strong">Returns:</span></dt><dd>an array of two strings. the first is the stdout and the second is the stderr of the process.</dd></dl>
</li>
</ul>
<a name="searchTar(java.io.InputStream, java.lang.String, java.lang.String, fr.inria.alpage.frmgcm.utils.Utils.BrowseTarFileHandler)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>searchTar</h4>
<pre>public static&nbsp;boolean&nbsp;searchTar(java.io.InputStream&nbsp;is,
                java.lang.String&nbsp;curFileName,
                java.lang.String&nbsp;targetFilename,
                <a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.BrowseTarFileHandler</a>&nbsp;matchCallback)
                         throws java.io.IOException</pre>
<div class="block">Search within a tar / tar.gz file and apply a callback when the file is found.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>is</code> - current input stream processed</dd><dd><code>curFileName</code> - current filename represented by the input stream</dd><dd><code>targetFilename</code> - the filename that is searched within the tar/tar.gz</dd><dd><code>matchCallback</code> - the callback that is called when the file is found</dd>
<dt><span class="strong">Returns:</span></dt><dd>a boolean indicating if the search should continue (used internally when recursing the method)</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="browseTar(java.io.InputStream, java.lang.String, fr.inria.alpage.frmgcm.utils.Utils.BrowseTarFileHandler)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>browseTar</h4>
<pre>public static&nbsp;boolean&nbsp;browseTar(java.io.InputStream&nbsp;is,
                java.lang.String&nbsp;curFileName,
                <a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.BrowseTarFileHandler</a>&nbsp;callback)
                         throws java.lang.Exception</pre>
<div class="block">Browse a tar file an apply a callback to each of its elements</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>is</code> - the current input stream processed</dd><dd><code>curFileName</code> - the current filename represented by the input stream</dd><dd><code>callback</code> - the callback that will process each file. if this callback returns the false value, the browsing is interrupted.</dd>
<dt><span class="strong">Returns:</span></dt><dd>a boolean indicating if the browsing should continue (used internally when recursing the method)</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="fetchFromFile(fr.inria.alpage.frmgcm.utils.Utils.URI)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchFromFile</h4>
<pre>public static&nbsp;java.lang.String&nbsp;fetchFromFile(<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.URI.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.URI</a>&nbsp;uri)</pre>
<div class="block">Retrieve the string content of file</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>uri</code> - the location of the resource</dd>
<dt><span class="strong">Returns:</span></dt><dd>the content of the file</dd></dl>
</li>
</ul>
<a name="fetchFromURL(fr.inria.alpage.frmgcm.utils.Utils.URI)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchFromURL</h4>
<pre>public static&nbsp;java.lang.String&nbsp;fetchFromURL(<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.URI.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.URI</a>&nbsp;uri)</pre>
<div class="block">Retrieve the string content of a file located at some url</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>uri</code> - the location of the file</dd>
<dt><span class="strong">Returns:</span></dt><dd>the string content of the resource</dd></dl>
</li>
</ul>
<a name="uncompressFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>uncompressFile</h4>
<pre>public static&nbsp;java.lang.String&nbsp;uncompressFile(java.io.File&nbsp;file)</pre>
<div class="block">Uncompress a file (bz2)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>file</code> - the file</dd>
<dt><span class="strong">Returns:</span></dt><dd>the filepath of the newly uncompressed file</dd></dl>
</li>
</ul>
<a name="exec(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exec</h4>
<pre>public static&nbsp;java.lang.String[]&nbsp;exec(java.lang.String&nbsp;cmd)</pre>
<div class="block">Execute a bash command</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>cmd</code> - the bash command</dd>
<dt><span class="strong">Returns:</span></dt><dd>an array of two string. the first is the stdout and the second is the stderr of the process.</dd></dl>
</li>
</ul>
<a name="readModifyWrite(java.lang.String, java.lang.String, fr.inria.alpage.frmgcm.utils.Utils.ReadModifyWriteProcessorInterface, java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readModifyWrite</h4>
<pre>public static&nbsp;java.lang.String[]&nbsp;readModifyWrite(java.lang.String&nbsp;baseFile,
                                 java.lang.String&nbsp;outFile,
                                 <a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ReadModifyWriteProcessorInterface.html" title="interface in fr.inria.alpage.frmgcm.utils">Utils.ReadModifyWriteProcessorInterface</a>&nbsp;processor,
                                 java.util.ArrayList&lt;java.lang.Object&gt;&nbsp;params)</pre>
<div class="block">Read and optionnaly modify a file line by line</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>baseFile</code> - the entry file</dd><dd><code>outFile</code> - the path of the modified file</dd><dd><code>processor</code> - the callback that will decide to modify or not each line</dd><dd><code>params</code> - an array of objects passed to the callback</dd>
<dt><span class="strong">Returns:</span></dt><dd>an array of two string representing the status of the process (stdout & stderr)</dd></dl>
</li>
</ul>
<a name="copy(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copy</h4>
<pre>public static&nbsp;void&nbsp;copy(java.lang.String&nbsp;source,
        java.lang.String&nbsp;dest)
                 throws java.io.IOException</pre>
<div class="block">Copy a file</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>source</code> - the original file path</dd><dd><code>dest</code> - the file path of the copy</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="copyFile(java.io.File, java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyFile</h4>
<pre>public static&nbsp;void&nbsp;copyFile(java.io.File&nbsp;source,
            java.io.File&nbsp;dest)
                     throws java.io.IOException</pre>
<div class="block">Copy a file</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>source</code> - the original file</dd><dd><code>dest</code> - the destination file</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="getShortName(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShortName</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getShortName(java.io.File&nbsp;file)</pre>
<div class="block">Get the name of a file without its extension</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>file</code> - the file</dd>
<dt><span class="strong">Returns:</span></dt><dd>the name of a file without its extension</dd></dl>
</li>
</ul>
<a name="getShortName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShortName</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getShortName(java.lang.String&nbsp;filepath)</pre>
<div class="block">Get the name of a file without its extension</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>filepath</code> - the filepath</dd>
<dt><span class="strong">Returns:</span></dt><dd>the name of the file without its extension</dd></dl>
</li>
</ul>
<a name="Log(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Log</h4>
<pre>public static&nbsp;void&nbsp;Log(java.lang.String&nbsp;message)</pre>
<div class="block">Log a message to the log of the application</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - </dd></dl>
</li>
</ul>
<a name="mapReduceFolder(java.io.File, fr.inria.alpage.frmgcm.utils.Utils.MapReduceFolderDelegate, java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mapReduceFolder</h4>
<pre>public static&nbsp;boolean&nbsp;mapReduceFolder(java.io.File&nbsp;file,
                      <a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.MapReduceFolderDelegate.html" title="interface in fr.inria.alpage.frmgcm.utils">Utils.MapReduceFolderDelegate</a>&nbsp;callback,
                      java.util.ArrayList&lt;java.lang.String&gt;&nbsp;args)
                               throws java.lang.Exception</pre>
<div class="block">Apply a function over files within a folder</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>file</code> - the folder / file being processed</dd><dd><code>callback</code> - the callback to apply to each file</dd><dd><code>args</code> - an array of string parameters to be sent to the callback</dd>
<dt><span class="strong">Returns:</span></dt><dd>boolean indicating if the mapping should continue (used internally)</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="Log(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Log</h4>
<pre>public static&nbsp;void&nbsp;Log(java.lang.String&nbsp;message,
       java.lang.String&nbsp;logfile)</pre>
<div class="block">Log string data into a file</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - the string data to store</dd><dd><code>logfile</code> - the name of the log that will contain the data logged (if the file exist, the content will be appended)</dd></dl>
</li>
</ul>
<a name="Log(java.lang.String, int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Log</h4>
<pre>public static&nbsp;void&nbsp;Log(java.lang.String&nbsp;message,
       int&nbsp;loglevel)</pre>
<div class="block">Log a string data message to the defaul application log</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - the message to log</dd><dd><code>loglevel</code> - (0=stdin,1=error,2=warning,3=info,4=debug)</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Utils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/StaticCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/utils/Utils.html" target="_top">Frames</a></li>
<li><a href="Utils.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
